petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGenerate

Generates a mesh.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGenerate(DM boundary, const char name[], PetscBool interpolate, DM *mesh)

Not Collective

### Input Parameters

| boundary | - The DMPlex boundary object
| name | - The mesh generation package name
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

mesh -The DMPlex object

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMRefine()

Level:intermediate
Location:src/dm/impls/plex/plexgenerate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages